Skip to main content
`Ctrl`+`K`

# DMTSGetTransientVariable

gets function to transform from state to transient variables set with `DMTSSetTransientVariable()` from a `TSDM`

## Synopsis

    #include "petscts.h"
    PetscErrorCode DMTSGetTransientVariable(DM dm, TSTransientVariableFn **tvar, PetscCtx ctx)

Logically Collective

## Input Parameter

- dm - `DM` to be used with `TS`

## Output Parameters

- tvar - a function that transforms to transient variables, see `TSTransientVariableFn` for the calling sequence

- ctx - a context for tvar

## Note

Normally `TSSetTransientVariable()` is used

## See Also

TS: Scalable ODE and DAE Solvers, `DMTS`, `DM`, `DMTSSetTransientVariable()`, `DMTSGetIFunction()`, `DMTSGetIJacobian()`, `TSTransientVariableFn`

## Level

developer

## Location

src/ts/utils/dmts.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages